Skip to main content
PATCH
/
platform
/
webhooks
/
{webhookId}
Update a platform webhook
curl --request PATCH \
  --url https://api.arkhq.io/v1/platform/webhooks/{webhookId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "url": "<string>",
  "events": [
    "MessageSent"
  ],
  "enabled": true
}
'
{
  "success": true,
  "data": {
    "id": "pwh_abc123def456",
    "name": "<string>",
    "url": "<string>",
    "events": [
      "MessageSent"
    ],
    "enabled": true,
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  },
  "meta": {
    "requestId": "req_V1StGXR8_Z5jdHi6"
  }
}

Authorizations

Authorization
string
header
required

Use your API key from arkhq.io/org/credentials

Authorization: Bearer YOUR_API_KEY

Path Parameters

webhookId
string
required

Platform webhook ID

Body

application/json
name
string

Display name for the webhook

Minimum string length: 1
url
string<uri>

Webhook endpoint URL (must be HTTPS)

events
enum<string>[]

Events to subscribe to. Empty array means all events.

Available options:
MessageSent,
MessageDelayed,
MessageDeliveryFailed,
MessageHeld,
MessageBounced,
MessageLinkClicked,
MessageLoaded,
DomainDNSError
enabled
boolean

Enable or disable the webhook

Response

Platform webhook updated

success
boolean
required
data
object
required
meta
object
required